Autos Window

Displays the values of variables currently in the scope of the current line of execution within the current procedure. The Autos window is updated only when execution is suspended. For example, the Autos window is updated when you add a new watch, when you change the value of a variable, or when you switch between decimal and hex modes. Values that have changed since the last breakpoint are highlighted.

You can:

  • Navigate to a different stack frame.

  • Drag a selected variable to the Immediate window or the Watch window.

  • Double-click a variable to edit its value.

  • Click a value and edit it.

  • Expand and collapse the lists.

    Note Change the size of a column by dragging the border of the column header to the right to make the column larger or to the left to make it smaller.

Elements

Name

Displays the name of each variable near the current statement.

Value

Displays the value of each variable.

Type

Displays the type of each variable.


Call Stack Window

Displays a list of all active procedures or stack frames for the current thread of execution. Active procedures are the uncompleted procedures in a process.

In the Call Stack window you can:

  • Change the active thread by selecting it from the threads list.

  • Change the size of the column headers by dragging its border to the right to make it larger or to the left to make it smaller.

  • Double-click a row to change the contents of the Locals window to correspond with the selected procedure.

    Note Change the size of a column by dragging the border of the column header to the right to make the column larger or to the left to make it smaller.

Elements

Threads List

Contains a list of all threads in the current process. Selecting a thread from the list gives the thread the focus in the integrated development environment (IDE). The list of threads is the same as the list that appears in the Threads window.

Name

Displays the name of each stack frame with any associated argument values.

Language

Specifies the language of the specific stack frame.

Indicator (*)

Displays an

indicating the current procedure that determines the scope for the Locals, Watch, Immediate, and source code windows.


Document Outline Window

A window with a flat or hierarchical outline for the currently selected document window. The name of the window changes to reflect the editor that is open. For example, in a script editor, the Script Outline window displays the scripting object model and the script blocks for the associated HTML page.

Use the Document Outline window to view the contents of other editor windows —along with the Document Outline window associated to them — that do not currently have focus.

If you open another document window that has an outline view associated with it, the contents of the Document Outline window changes to that of the new window.

You can dock the Document Outline window. The Document Outline window displays when you select Document Outline from the Windows submenu.

For information about the specific Document Outline windows, click See Also.


Find Window

Allows you to find or find and replace text in one or more files.

You can:

  • Extend your search capabilities by using regular expressions.

  • Dock the Find window to minimize the space it utilizes.

Options

Toolbar

Button | Name | Description
 | New Find | Clears the Find and Replace boxes and all options, and allows you to create a new search request.
 | Match Case | Matches uppercase and lowercase characters exactly as they appear in the Find box.
 | Whole Word | Searches for only whole words.
 | Regular Expression | Turns on regular expression mode so that special characters can be used.
 | Backwards | Searches in the reverse direction.
 | Stop Search | Stops a search in progress. This button is disabled if there is no active search.
 | Help | Displays documentation for the Find window.

Find Button

Finds and highlights each occurrence of the word or words in the Find box. Press to begin the search and again each time you want to search for the next occurrence of the word or words. You can use the Find button for both single-file and multifile searches depending on your settings in the Look In box.

Find Box

Allows you to type or select the text that you want to find. To use special characters, first click the Regular Expression button. If your insertion point is somewhere in the Find window, you can press CRTL+F to go directly to this box.

Replace Button

Replaces the current text with the text in the Replace box and highlights the next occurrence of the text.

Replace Box

Allows you to type or select the text you want to use as the replacement text. This box shows the last 16 replacement entries. If your insertion point is somewhere in the Find window, you can press CRTL+H to go directly to this box.

Replace All Button

Replaces all occurrences of the search text with the replacement text without stopping for confirmation at each occurrence.

Look In

Allows you to choose from a set of predefined search scopes or to define your own search.

All Open Documents

Searches all open documents as if they were one document.

Current Document

Searches only the currently active document.

Current Selection

Searches the selection in the currently active document.

There may be additional options based on the specific development environment.

Browse

Displays the Look In dialog box where you can choose the folders and type of files you want to include in your search

Subfolders

When checked, includes the subfolders in the search.

Name, Folder, Line, and Text List

Displays the results of your search when your search includes multiple files. The results include filename, file location, the line where the text resides, and the text including the text on which you are searching.


Immediate Window

Used to enter expressions to be evaluated or executed by a development language. The rules for entering expressions and the behavior of the Immediate window are dependent upon the language of the current statement.


Locals Window

Displays the local variables and their values in the current stack frame. As the execution switches from procedure to procedure, the contents of the Locals window change to reflect the local variables applicable to the current procedure.

The Locals window is updated only when execution is stopped. Values that have changed since the last break are highlighted.

In the Locals window you can:

  • Change the current stack frame within the active thread by selecting it from the Context list.

  • Drag a selected variable to the Immediate window or the Watch window.

  • Double-click a variable to edit its value.

  • Click the + or - to view or hide the member variables of an object variable or array. You can also use the following keystrokes to view or hide member variables of the selected object or array or to move around in the Locals window:
    To: Use the:
    Collapse the member variables list | LEFT ARROW key
    View the member variables | RIGHT ARROW key
    Toggle between hiding and viewing the variables | ENTER
    Move upward in the member variables list | UP ARROW key
    Move downward in the member variables list | DOWN ARROW key
    Move up an expanded list | LEFT ARROW key
    Move down an expanded list | RIGHT ARROW key

    Note Change the size of a column by dragging the border of the column header to the right to make the column larger or to the left to make it smaller.

Elements

Context List

Contains the call stack for the active thread. The procedures are listed in the order they appear in the Call Stack window.

Name

A list of the local variables in the current stack frame.

Value

A list of the values of all local variables.

Type

A list of the data types of all local variables.


Output Window

Displays status messages at run time. You can display the Output window by choosing Output Window from the Other windows list on the View menu.

With some language engines, this window is also used to display debugging strings generated in code. The exact uses and behavior of the Output window are dependent on the language engine being used to execute the current code.

Elements

Output Pane List

Displays a list of output panes to view. You can have any number of panes. The panes are not dynamically created at run time but anyone can register a new output pane. The pane is not included in the list until the first time it is used.

Output Pane

Displays the status messages for the selection in the Output Pane list.


Project Explorer Window

Displays a list of the entire collection of projects and all of the items contained in each project.

You can:

  • Make a project active by selecting it.

  • Select multiple projects or project items by:
    Action | To Select
    Clicking the first item, holding down SHIFT, and then clicking the last item of the list that you want. | Multiple projects or project items in a continuous list.
    Selecting the first item, holding down SHIFT, and the using the UP ARROW or the DOWN ARROW keys to select the remaining items. | Multiple projects or project items in a continuous list.
    Holding down CTRL and clicking the items that you want. | Multiple project or project items that are not in a continuous list.

  • You can expand and collapse the project lists and view the projects and items included in the project by clicking plus (+) or minus (-) to the left of the project name.


Properties Window

Lists the design-time properties for selected objects and their current settings. You can change these properties at design time.

Elements

Lists the currently selected object. Only objects from the active document are visible. If you select multiple objects, the properties common to the objects and their settings, based on the first object selected, appear on the Properties List buttons.

Alphabetically lists all properties for the selected object that can be changed at design time, as well as their current settings. You can change the property setting by selecting the property name and typing or selecting the new setting.

Lists all properties for the selected object by category. For example, BackColor, Caption, and ForeColor are in the Appearance category. You can collapse the list so that you see the categories, or you can expand a category to see the properties. When you expand or collapse the list, you see a plus (+) or minus (-) to the left of the category name.

Displays the Property Pages dialog box.

Description Pane

Shows the property type and a short description of the property. You can turn the description of the property off and on using the Description command on the shortcut menu. You can move through the list of descriptions by pressing the ARROW keys.


Running Documents Window

Displays a list of documents that are currently loaded into the process you are running. For example, if you add an HTML frameset, the Running Documents window shows you which pages are currently loaded in the browser.

In the Running Documents window you can:

  • Double-click on a document to open an editor window for that document.

  • Expand and collapse the list to see the pages or documents within the top-level documents.

Elements

Documents List

Contains a hierarchical list of documents and their paths.


Script Outline, HTML Editor

Script Outline Window

The Script Outline window displays the available object model for your document and the scripts on the page when you are working in Source view of the HTML editor. In the Script Outline window, you can:

  • Display a tree view of all elements on your page that have their ID or NAME attribute set.

  • Display events for each element.

  • Navigate quickly to any script in the page.

  • Quickly create new handlers for events on the page.

The Script Outline window is available in Source view of the HTML editor. In its initial state, the tree view displays nodes listed in the following table:

Node | Contains
Client Objects and Events | A hierarchy of the elements that support client script or have client script attached. Under the node for each element is a list of the events for which you can write handlers.
Client Scripts A set of nodes for each client script on the page. There is a node for each script block on the page, and a separate node for each function or subroutine defined within a script block.

There is also a node for inline scripts defined as part of a control definition, as in this example:

<INPUT TYPE="button"
NAME="button1"
ONCLICK="alert('Clicked!')">
Server Objects and Events A list of nodes for each element that supports server script or that has server script attached. Under each node is a list of the event for which you can write handlers.

The Server Object and Events node also displays the Microsoft Internet Information Server object model, including the Session object, Application object, and so on. In the Script Outline window, these objects do not display events.
Server Scripts | A set of nodes for each server script on the page. Functions and subroutines are identified by name. Inline server script appears in tree, but is not identified by name.

Note The Script Outline does not include elements that are added to a page using an INCLUDE file.

Navigating to Scripts

You can use the Script Outline window to move between scripts.

To navigate between scripts

  • Expand the appropriate script node in the Script Outline window until you see the script you want to go to, and then click the script's name. The insertion point in the edit pane moves to the script.

If you are working in a script in the edit pane, you can synchronize the Script Outline window so you can see where you are in the context of the whole page.

To synchronize your position with the Script Outline window

  • Right click anywhere in the Script Outline window, and then select Synch Script Outline.

Creating Scripts

When you expand the node for an object in the Script Outline window, the node displays a list of events for which you can create a handler. If the event name is bold, a handler already exists for that event.

You can create new event handlers for events listed in the Script Outline window. You can also insert new script blocks even if they are not associated with a particular event.

To create a new event handler

  1. Expand the appropriate object node until you see the event name for which you want to create a script

  2. Double-click the name of the event.

    The editor inserts a new script block with a skeleton handler for the event you selected. The handler is created in the default language for the current context. For example, if you are creating a server script, the handler is in the default language for the server.

Arranging Scripts

You can arrange the nodes or script either by declaration or alphabetically.

To arrange scripts

  • Right click anywhere in the Script Outline window, select Sort, and then select Alphabetically or By Declaration.

If you arrange scripts by declaration, each script block has a node. When you open the node, it displays the names of individual procedures (functions or subroutines) and public variable. The nodes are arranged according to their order in the page.

If you arrange script nodes alphabetically, the scripts are displayed as individual nodes by their name. Script blocks that do not contain named procedures are displayed in order according to the name of the language in which they are written (for example, VBScript). If a script block contains only one procedure, the procedure name is displayed.


Text Editor Window

A window where you write, display, and edit code. The Text Editor window is also known as the Code Editor window.

You can open a Text Editor window from:

The Project Explorer window, by double clicking the file.

  • The File menu, by choosing the Open File command.

    Caution If you share files with other users at other sites that use distinct codepages, you should save your file in Unicode to prevent problems.

Editor Features

Drag-and-Drop Text Editing

You can drag selected text and drop it to another location. The locations to which you can drag it are:

  • A different location in the current Text Editor window.

  • Another Text Editor window.

  • The Immediate and Watch windows.

You can turn drag-and-drop text editing on or off by selecting Drag Drop Text Editing from the General options of the Text Editor page of the Options dialog box.

Selection Modes

The Text Editor window has two modes:

  • Stream mode, which is similar to the standard Microsoft Windows multiline edit control. Selection is a one-dimensional stream from the start of the file to the end.

  • Box mode, where full lines or "boxes" of code are selected. A box includes any character that intersects with the rectangle defined by the beginning character (anchor character) and the last character in the selection. You can toggle between Stream and Box mode by holding CTRL and pressing R and then S.

You can change the mode in the Per Language option of the Text Editor page of the Options dialog box. To change the mode for all of your editors, select Per Language. If you want to change the mode for a specific editor, click plus (+) and then select the type of editor before changing the option.

Virtual Space Mode

In Virtual Space mode, the text editor behaves as if the space past the end of each line is filled with an infinite number of spaces.

Note Virtual Space mode is on whenever you are in Box mode.

Working with Undo and Redo Commands

The editor allows you to have unlimited multilevel undo and redo actions per document.

To include the insertion point movements in the Undo list, you can select the option from the General Options of the Text Editor page of the Options dialog box.

Displaying and Linking URLs (Uniform Resource Locators)

You can create URLs within your code. By default the URLs:

  • Appear underlined.

  • Change the mouse pointer when you move over them.

  • Open the URL site if the URL is valid.

To change the way you display and link URLs for all of your editors, select the Per Language option of the Text Editor page of the Options dialog box. If you want to change the display and linking of URLs for a specific editor, click plus (+) and then select the type of editor before changing the option.

However, you can still open a valid Internet site by choosing the Open URL command from the Text Editor shortcut menu.

Customized Fonts and Colors

You can customize the way the text appears in the editor. For specified items, you can change the:

  • Background and foreground colors

  • Type and size of fonts

To change the way colors and fonts appear in your editor, select the Font and Color option of the Text Editor page of the Options dialog box.

Elements

Code Pane

The area where you type your code. Contains the statement builder features available for your product.

Using the General options of the Text Editor page of the Options dialog box, you can also set options that:

  • Allow you to use and set a clickwait time. Setting a clickwait time allows you to move the focus from one window to another without moving the insertion point in the target window, if you press the mouse button for less than the amount of time you set.

  • Move the insertion point to the beginning or end of the selection, based on where the insertion point was when you selected the text after you press ESC.

  • Place the insertion point at the beginning of the selection when you paste it from the Clipboard.

You can also vary the type and size of indenting and tabs in your code from the Tabs options of the Text Editor page of the Options dialog box. You can set the tabs for all of the text editors in the development environment with the Tabs option or for a specific editor.

Margin Indicator Bar

A gray area on the left side of the Text Editor window where margin indicators such as breakpoints, bookmarks, and shortcuts are displayed.

You can hide or display the Margin Indicator bar from the General Options of the Text Editor page of the Options dialog box.

Selection Margin

The white space immediately to the left of the code text where can click to select lines of text.

You can hide or display the Selection Margin from the General Options of the Text Editor page of the Options dialog box.

Horizontal and Vertical Scroll Bars

Allows you to scroll the Code pane horizontally and vertically so that you can view the code that extends beyond the edges of the Code pane.

You can hide or display the horizontal and vertical scroll bars from the General Options of the Text Editor page of the Options dialog box.


Threads Window

Lists all of the threads for the current process and information about them.

In the Threads window you can:

  • Select a new process from the Process list.

  • Double-click a thread to activate it.

    Note You can change the size of a column header by dragging its border to the right to make it larger or to the left to make it smaller.

Elements

Process List

Contains a list of all currently attached processes. Selecting a process from this list displays all threads for that process.

ID

Displays the system thread ID.

Name

Contains the names or thread IDs of all threads in the current process. The thread with the current focus is indicated by

in the left margin.

State

Indicates whether a thread is enabled to run, is currently suspended, or has finished and is no longer running.

Location

Lists the top stack frame or procedure in the thread along with any associated argument values.

Suspension Count

Lists the value for the suspend count.

When the suspend count is 0, the thread runs. When the count is greater than 0, then process is suspended. You can increase or decrease the suspend count using the Suspend and Resume commands on the shortcut menu.


Watch Window

Displays the values of selected variables or watch expressions.

The Watch window is only updated when execution is stopped at a breakpoint or exception. Values that have changed since the last break are highlighted.

In the Watch window you can:

  • Drag a selected variable to the Immediate window.

  • Double-click a variable to edit its value.

    Caution Entering an expression with side effects in the Watch window may result in unexpected changes in your code.

    Note You can change the size of a column header by dragging its border to the right to make it larger or to the left to make it smaller.

Elements

Name

Displays a list of variables or expressions to be evaluated.

Value

Displays the values of selected variables or expressions.

Type

Displays a list of the data types for the selected variables or expressions.


ActiveX Controls Tab (Customize Toolbox Dialog Box)

Displays a list of all of the ActiveX® controls registered on your machine and that you can add to your project's Toolbox. The ActiveX controls that the development environment determines are in the Toolbox and in the registry display check marks to the left of their names.

You can:

  • Add a registered control to the Toolbox by selecting the control in the Name, Path, and Last Modified list and clicking the check box to the left of the control.

  • Remove a control from the Toolbox by clearing the check box.

  • Group your list of controls by name, location, or date modified by clicking the appropriate column heading.

Options

Name, Path, and Last Modified List

Displays the available controls: their names, full paths, and the time and date when each control was last modified.

The full path is useful if you want to group the controls by location. The last modified date is useful when you want to see which controls have been built recently.

Description

Displays the development language and version of the selected control.

Browse

Displays the Browse dialog box so you can select ActiveX Controls (.ocx files) or DLLs that exist on your machine or network but are not registered on your machine. When you select a control, it is registered and appears in the Name, Path, and Last Modified list with a check in the checkbox to the left of it.

Reset

Restores the Toolbox to its default state and refreshes the currently open tab. The default controls appear with checks in the check boxes to the left of them.


Breakpoint Properties Dialog Box

Displays the properties for a specified breakpoint.

In the Breakpoint Properties dialog box you can:

  • View the location of a breakpoint in code.

  • Change the conditional expression (if defined) for a breakpoint.

  • Specify the number of times a breakpoint should be hit before stopping code execution.

  • Monitor the number of times a breakpoint has been hit during runtime.

Options

Location

File

Displays the name of the file that contains the breakpoint and the line in the file where the breakpoint exists. You cannot edit this text box.

Condition

Specifies a condition which must be satisfied before execution stops at the breakpoint. Otherwise, the breakpoint will be bypassed and the program will continue to run.

Is True

When selected, indicates that the specified condition must be true in order to stop execution at the breakpoint.

Is Changed

When selected, indicates that the value of the specified condition must be different from the previous value of the condition.

Hit Count

When selected, the specified breakpoint will only stop code execution when one of the conditions specified in the Hit Count section occurs.

Break When Hit Count

Allows you to specify a hit count situation that must occur for the breakpoint to stop code execution.

Is Equal To. Causes the breakpoint to stop code execution when the breakpoint is hit a certain number of times. The text box provided allows you to specify the number of hits the breakpoint should wait until stopping code execution.

Is A Multiple Of. Causes the breakpoint to stop code execution when the breakpoint hit count is a multiple of the number specified in the provided text box.

Is Greater Than or Equal To. Causes the breakpoint to stop code execution when the breakpoint hit count is greater than or equal to the number specified in the provided text box.

Current Hit Count

Displays the current number of times that a breakpoint's code has been carried out. This display increments only during debugging.

Reset

Resets the hit count to zero.


Breakpoints Dialog Box

Displays a list of all breakpoints in the current project.

You can use the Breakpoints dialog box to:

  • Add a new breakpoint by name only.

  • Enable, disable, or remove one or more existing breakpoints by pressing CTRL and clicking on the breakpoint or breakpoints.

  • Modify the properties of a breakpoint.

Options

Breakpoints

Lists all of the breakpoints in the current project.

Properties

Displays the Breakpoint Properties dialog box, where you can set the properties of the selected breakpoint.

View Code

Closes the Breakpoints dialog box after saving the changes and displays the selected breakpoint in the Text Editor window.

Select All

Selects all of the breakpoints in the Breakpoints list.

Enable

Enables the selected breakpoints.

Disable

Disables the selected breakpoints.

Remove

Deletes the selected breakpoint or breakpoints.

Add Breakpoint

Language

Displays a list of available development languages for which you can add a breakpoint by name.

Add

Displays the New Breakpoint dialog box, where you can add a breakpoint to the document selected.


Button Editor Dialog Box

Provides the tools to modify Toolbar icons.

Options

Picture

Shows the icon pixel by pixel.

Move

Moves the picture around so that you have access to all parts of it.

Moves the picture up one row each time you click it until the top row of pixels is visible.

Moves the picture down one row each time you click it until the bottom row of pixels is visible.

Moves the picture to the right one column each time you click it until the rightmost column is visible.

Moves the picture to the left one column each time you click it until the leftmost column is visible.

Colors

Changes the color of the pixel. Click the color you want and then click the pixel that you want to appear with that color.

Erase

Removes the color from the pixel you click on after you click on the Erase box.

Preview

Shows you how your icon will appear as you make the changes.

OK

Assigns the picture to the control.

Clear

Clears all of the color and picture from the picture box.


Choose Breakpoints Dialog Box

Allows you to choose which breakpoints you want to add from the list of matching breakpoints.

Note This dialog box appears only if the breakpoint name you typed is used more than once.

Options

Breakpoints List

Lists all of the breakpoints that match the expression listed in the Add Breakpoint dialog box. Check the breakpoints you want to add.

Choose All

Selects all of the breakpoints.

Clear All

Clears all of the breakpoints.


COM Libraries Tab (Add New Packages/Libraries Dialog Box)

Allows you to add COM libraries and make them available for browsing. Once you add a library, it appears under the COM Libraries node in the Select Packages/Libraries dialog box. By default, a library that has been selected has a check mark to the left of it. A COM library you add using the Select Packages/Libraries dialog box is available for browsing until you remove it by clearing the check box to the left of it.

Options

Available COM Libraries List

Displays a list of all of the registered COM objects.

TypeLib Information

Displays the name and path of the library selected in the Available COM Libraries dialog box, as well as the development language and the version.

Browse Button

Displays the Select COM Component dialog box so that you can search other directories for and add libraries to the Available COM Libraries box.


Commands Tab (Customize Dialog Box)

Allows you to add and modify existing commands on the MenuBar or any toolbar. You can also modify the button image.

Options

Categories

Lists the different command categories.

Commands

Lists the commands available for the category you select in the Categories list. You can drag the command to the toolbar where you want the command to reside. To add the command to a menu, drag it over the menu's title and then into the desired location in the menu.

Description

Displays a QuickTip for the currently selected command.

Modify Selection

Displays a menu that contains commands allowing you to modify the selected command after you drag its icon to a toolbar.

Reset

Resets the command to the default.

Delete

Deletes the command.

Name

Allows you to change the name of the command. By using the ampersand (&), you can also set shortcut keys.

Copy Button Image

Copies the button image to the Clipboard.

Paste Button Image

Pastes the button image from the Clipboard.

Reset Button Image

Resets the button image to its default setting.

Edit Button Image

Displays the Button Editor dialog box.

Change Button Image

Displays a list of button images from which you can select a different image for your button.

Default Style

For toolbar buttons, shows only the icon. For menu items, shows the icon and the name.

Text Only (Always)

Shows the command name only.

Text Only (in Menus)

Hides the icon, if any, for menu items. This option has no effect on toolbar buttons.

Image and Text

For toolbars, shows both the icon and name. This option has no effect on menu items.

Begin a Group

For toolbars, puts a separator line before the command. Dimmed when the command is at the beginning of the toolbar.


Define Window Layout Dialog Box

Allows you to save your current window settings, collectively called a layout, and reuse them whenever you like. You can add, delete, and rename layouts or you can select a layout and apply it.

Note You cannot rename or delete the Default Debug, Default Design, or Default Full Screen layouts.

Options

View Name

Specify a name for the layout.

Views

Lists the available layouts.

Apply

Sets the specified layout to the interface without closing the dialog box.

Add

Saves the layout with the name you typed in the Layout Name box and adds the name to the Layouts list.

Delete

Deletes the selected layout in the Layouts list. Not available if Default Debug, Default Design, or Default Full Screen is selected in the Layouts list.

Rename

Renames the selected layout with the name you specified in the Layout Name box. Not available if Default Design, Default Debug, or Default Full Screen is selected in the Layouts list.


Existing Tab (New File and Open File Dialog Boxes)

Allows you to locate and select existing files containing snippets of code, notes, or other information you may want to use in your project.


Font and Colors Options (Text Editor -- Options Dialog Box)

Font and Colors Options (Text Editor — Options Dialog Box)

Allows you to pick the font for editor windows and the colors for various text elements in the editor window.

Caution Clicking Cancel cancels all of the changes made in the dialog box. If you made changes to more than one category, none of the changes will be saved.

Options

Editor Font

Lists all the fonts you have installed for the editor. When the box first appears, the font already in use for the selected element is highlighted. A change to the font affects all elements of the editor. You cannot change the font for only some elements.

Size

Lists common point sizes for the highlighted font. Changing the size of the font affects all elements of the editor.

Display Items

Lists the items for which you can modify the foreground and background, as well as the bolding of syntactic elements.

Item Foreground

Lists the available colors you can choose for the foreground of the item you selected in the Display Items list. Changes to foreground color of Text changes the defaults for some elements such as Compiler Error, Keyword, or Operator.

Item Background

Lists the available colors you can choose for the background of the item you selected in the Display Items list. A change to the background color of Text also changes the defaults for some elements such as Compiler Error, Keyword, or Operator.

Bold

When selected, makes the selected text bold. Only available for syntactic elements such as Comments, Inactive Code, Keywords, and Numbers.

Sample

Displays a sample of the font you have selected. The sample shows the font, size, and colors you have specified. You can use this box to preview the results as you experiment with different formatting options.

Reset All

Returns the settings to the default.


General Options (Debugger -- Options Dialog Box)

General Options (Debugger — Options Dialog Box)

Allows you to set global debugging options in the development environment.

Caution Clicking Cancel cancels all of the changes made in the dialog box. If you made changes to more than one category, none of the changes will be saved.

Options

General

Hexadecimal Display

Displays numerical values (for example, parameters, return values, and expressions) in hexadecimal.

Note Hexadecimal Display does not affect numerical input. To input a value in hexadecimal, you must use the format specified by the specific language.

Just-In-Time Debugger

Allows you to catch faults that occur while the program is running outside the debugging environment and allows you to decide if you want to start the debugging process. You must set this option before starting the application that you want to just-in-time debug.

Script

Attach to Running Programs

Allows you to attach the debugger to a running Script program and debug the program at any time and without having to launch it from the development environment.

Just-In-Time Debugging

Allows you to catch faults that occur while the program is running outside the debugging environment and allows you to decide if you want to start the debugging process. You must set this option before starting the application that you want to just-in-time debug.

Insert Breakpoints in Active Server Pages for Breakpoints in Client Script

Allows you to inspect code in an Active Server Page when a related breakpoint in the client script is hit.


General Options (Enviroment -- Options Dialog Box)

General Options (Environment — Options Dialog Box)

Allows you to change default settings for the development environment.

Caution Clicking Cancel cancels all of the changes made in the dialog box. If you made changes to more than one category, none of the changes will be saved.

Options

Global

Window Menu Contains <number> Items

Allows you to customize the number of windows that appear in the Windows list of the Windows menu by typing in a number between 1 and 24. The default is 8.

Show Status Bar

Displays the status bar.

SDI Environment

When selected, changes the development environment from a multiple document interface (MDI) to a single document interface (SDI). When you select this option, the SDI appears every time you restart the environment until you clear this option.

Re-use current document, if saved

When opening a new file in the development environment, reuses the current editor window, if it has been saved, instead of opening a new window.

Hide editor windows if Project Explorer collapsed

When selected, hides the editor windows when the Project Explorer is collapsed.


General Options (Text Editor -- Options Dialog Box)

General Options (Text Editor — Options Dialog Box)

Allows you to customize the environment options of your text editor.

Caution Clicking Cancel cancels all of the changes made in the dialog box. If you made changes to more than one category, none of the changes will be saved.

Options

Settings

Use Clickwait Time

Allows you to move the focus from one window to another without losing the insertion point location in the first window, if you press the mouse button for less than the amount of time set in the Milliseconds box. Suppose, for example, you select a word in the editor and then you click another window. If you previously selected the Use Clickwait Time option, and did not hold the mouse button down longer than the time you set in the Milliseconds box, the insertion point moves back to the selected word when you return to the first window. If you do not select the Use Clickwait Time option, the insertion point will appear where you last clicked the mouse in the second window.

Milliseconds

Allows you to choose your clickwait time. The range is 0 to 2000 milliseconds. The default is 200 milliseconds.

Go to Anchor After Escape

After you press ESC, moves the insertion point to the beginning or end of the selection, based on the location of the insertion point when you selected the text. For example, if you select a paragraph of text starting with the last word in the paragraph and press ESC, the insertion point moves to the end of the last word in the paragraph.

Paste with Insertion Point at Beginning of Selection

When checked, places the insertion point at the beginning of the selection when you paste it from the clipboard.

Drag and Drop Text Editing

Allows you to drag and drop elements within the current code and from the editor window into the Immediate window.

Include Insertion Point Movements in Undo List

Commands that only move the insertion point are placed on the Undo list.

Display

Selection Margin

Displays the margin on the left side of the editor window.

Margin Indicator Bar

Makes the margin indicator bar visible or not visible.

Vertical Scrollbar

Displays the vertical scrollbar in the editor window.

Horizontal Scrollbar

Displays the horizontal scrollbar in the editor window.


Grouping and Sorting Dialog Box (Object Browser)

Allows you to group or sort members and classes by type or access in the Object Browser. By default, no grouping is applied.

Options

Classes

Group By List

Allows you to select the way you want to group the classes for sorting

  • <No Grouping>. Creates no group or, if you already have a grouping, removes it.

  • Group by Class Access. Arranges classes into groups based on their access type. Changing the order of values in the Value list changes the order of the groups in the view.

  • Group by Class Type. Arranges classes into groups based on their type. Changing the order of values in the Value list changes the order of the groups in the view.

Values

Displays the development-specific values for the selection in the Group By list.

Members

Group by List

Allows you to select how you want to group the members for sorting

  • <No Grouping>. Creates no group or, if you already have a grouping, removes it.

  • Group by Member Access. Creates a group based on the member access selected in the Values list.

  • Group by Member Type. Creates a group based on member type selected in the Values list.

Values

Displays the development-specific values for the selection in the Group By list.

Moves the selected item up one entry in the list each time you click it.

Moves the selected item down one entry in the list each time you click it.

Group with Headers in Main List

When selected, displays the sorted classes or members in a tree structure. The list displays only values relevant to the packages and libraries you are browsing. For example, if no COM libraries are currently selected in the browsed set, no COM class and member types and access types appear in the value lists.

Apply

Applies the settings to the current data in the Object Browser.


Insert File As Text Dialog Box

Allows you to locate and insert a file as text into your editor.


Language Options (Environment - Options Dialog Box)

International Settings Options (Environment – Options Dialog Box)

Allows you to change the language and fonts of the dialogs and tool windows in your development environment when you have more than one language version of the development environment installed on your machine. The changes become effective when you restart your application and remain until you change them.

Caution Clicking Cancel cancels all of the changes made in the dialog box. If you made changes to more than one category, none of the changes will be saved.

Options

Language

Lists the available environment languages. Only the languages that you have installed on your machine appear in the list. For example, if you have both English and German installed on the same machine, English and German both appear in the list.

The list item, Same as Microsoft Office, sets the development environment to the same language that is used in Microsoft Office so that changes to the user interface language in Office produce a change to the same language in the development environment.

Font

Lists the available fonts based on the language selected.

Note Tool window title bars are not affected by changing the font size changes in this tab. You can change the font size of the tool window title bar by choosing Palette Title on the Appearance Tab of the Display Properties dialog box in the system Control Panel.

Size

Lists the available font sizes.

Sample

Displays a sample of the font and the language.

Reset All

Allows you to reset the Font and Font Size to the default Font and Font size for the currently selected language. For example, if Japanese is your current language and you selected a different and larger font, choosing Reset All changes the font type and size back to the defaults for Japanese.


Keyboard Options (Environment -- Options Dialog Box)

Keyboard Options (Environment — Options Dialog Box)

Allows you to customize the keyboard options for your development environment.

Caution Clicking Cancel cancels all of the changes made on the other tabs but not the changes made using the Assign button. When you click the Assign button, your changes are immediately saved.

Options

Keyboard Mapping Scheme

Lists the set of all available keybindings. To load a specific scheme, select it.

Save As

Displays the Save As dialog box, where you can save the modified keyboard mapping scheme with the name and the path of your choice.

Delete

Deletes the selected keyboard-mapping scheme.

Categories

Lists all of the main menu items in their default order. You can press the first letter of a menu name to go to the first entry of menu names that begin with that letter.

Commands

Lists the default commands associated with the selected Category. You can press the first letter of a command to go to the first entry of command names that begin with that letter.

Assign

Assigns a new key combination and its scope to the selected command. The button is not active until you type a key combination in the Press New Shortcut Key box. Changes are saved to the keyboard-mapping file that appears in the Keyboard Mapping Scheme box.

Note Changes made using the Assign button are not cancelled if you click the Cancel button.

Remove

Removes the selected key combination.

Reset All

Resets all of your keyboard options to the last saved version.

Press New Shortcut Key

Allows you to press a key combination that will be used for the currently selected command. You must use one or more modifier keys such as CTRL, ALT, or SHIFT. The modifier keys appear in the order in which you press them. For example, pressing CRTL, then SHIFT, and then F2 creates the shortcut key, CTRL+SHIFT+F2. You can use BACKSPACE to delete the whole shortcut key combination at one time.

Note The following keys cannot be assigned: ALT, SHIFT, or CTRL without a modifier; ESC, PRINT SCRN/SYS RQ, SCROLL LOCK, PAUSE/BREAK, TAB, CAPS LOCK, INSERT, HOME, END, PAGE UP, PAGE DOWN, Windows keys, APP key, any of the ARROW keys, or ENTER; NUM LOCK, DEL, or CLEAR on the Numpad; or CTRL+ALT+DELETE.

Current Keys

Lists the keys currently assigned to the selected command.

Use New Shortcut Key In

Allows you use the new shortcut key globally in the development environment or in a specific editor; Global is the default setting. If you choose a specific editor, the keyboard shortcut remains in effect only while the editor is active. If you choose Global, the shortcut works in any active window in the development environment.

Currently Assigned To

Displays the command to which the key combination is currently assigned. Appears only when you assign a key or key combination that is already assigned.


New Tab (New File and Open File Dialog Boxes)

Displays files from all project types that you can create or open without having a project. The files can contain snippets of code, notes, or other information you may want to use in your project. The development environment remembers the last location and file type you used and displays it when you display the tab.

Note Your file is not saved unless you choose Save from the File menu.

Options

Folders

Lists the available folders. The contents of this list vary with the application you are using. Although a General folder is always displayed, it may not be used by the current application.

Contents

Lists the content of the selected folder.


Look In Folders Dialog Box

Allows you to choose the files you want to include in your search. The options you choose are not affected by the New Search command in the Find and Replace dialog box.

Options

Available Folders

Displays a list of available folders, drives, and servers in which you can search. Double-click on any of the following to view a list the folders contained within.

Icon | Contains a List of Available Folders
 | Your internal hard drive.
 | Another floppy drive.
 | A hard drive.
 | A CD-ROM drive.
 | A server to which you are connected.

Add to List

Adds the selected folders, drive, or server to the search criteria. Each item is searched in the order in which it appears in the list.

Remove from List

Deletes the selected folder, drive, or server from the search criteria.

List of folders to look in

Displays a list including the full path of the files you added and through which you want to search.

Look in files of type

Lists the type of files that each application allows to be searched.


New Breakpoint Dialog Box

Allows you to specify a new named breakpoint.

In the New Breakpoint dialog box you can:

  • Create a breakpoint for a method in your project.

  • Define a conditional expression for the breakpoint.

  • Specify the number of times a breakpoint should be hit before stopping code execution.

Options

Location

Name

Displays the name of the function that the breakpoint is assigned to. If you enter a method name in this text box, the development environment will search your projects and predefined classes for the method and place a breakpoint on the first valid line of code in the method. If multiple methods exist with the same name, the Choose Breakpoints dialog box is displayed. In this dialog box you can choose the method in which you want to set a breakpoint.

Note If you enter a class name, all of the methods of that class are displayed.

File

Displays the name of the file that contains the breakpoint and the line in the file where the breakpoint exists. You cannot edit this text box.

Condition

Displays the conditional expression defined for this breakpoint (if one has been defined). Conditional breakpoints allow you to define a condition that causes the breakpoint to stop code execution on the breakpoint's line of code. Otherwise, the breakpoint will be bypassed and the program will continue to run.

Is True

When selected, indicates that the condition is true.

Is Changed

When selected, indicates that the condition has changed.

Hit Count

When selected, the specified breakpoint will only stop code execution when one of the conditions specified in the Hit Count section occurs.

Break When Hit Count

Allows you to specify a hit count situation that must occur for the breakpoint to stop code execution.

Is Equal To. This option causes the breakpoint to stop code execution when the breakpoint is hit a certain number of times. The text box provided allows you to specify the number of hits the breakpoint should wait until stopping code execution.

Is A Multiple Of. This option causes the breakpoint to stop code execution when the breakpoint hit count is a multiple of the number specified in the provided text box.

Is Greater Than or Equal To. This option causes the breakpoint to stop code execution when the breakpoint hit count is greater than or equal to the number specified in the provided text box.

Current Hit Count

Displays the current number of times that a breakpoint's code has been carried out. This display increments only during debugging.

Reset

Resets the hit count to zero.


New Toolbar Dialog Box

Allows you to give your new toolbar a name.

Option

Toolbar Name

You can type the name for your new toolbar or use the default name. The default name changes for each custom toolbar, for example, Custom1, Custom2 and so on.


Options Tab (Customize Dialog Box)

Allows you to change the appearance of your MenuBar and toolbars.

Options

Large Icons

Changes the toolbar icons to a larger size.

List Font Names in Their Font

Allows a WYSIWYG display of fonts in font selection dialogs.

Show ScreenTips on Toolbars

Turns ScreenTips off and on.

Show Shortcut Keys in ScreenTips

Displays the shortcut keys on the menus.

Menu Animations

Lists available animations you can apply to your MenuBar.


Per Language Options (Text Editor - Options Dialog Box)

Per Language Options (Text Editor – Options Dialog Box)

Allows you to set the details for your text editor regardless of which application you are using.

Choosing the Per Language option sets these options for all of the editors in the development environment. To set the Per Language options for a specific editor, choose the editor in the list below the Per Language options and select the options. Changes to the specific editor are effective only until you change the options again from the Per Language entry. If you want to Enable virtual space for only your HTML editors without enabling it for your other editors, choose HTML under Per Language in the Text Editor options of the Options dialog box, then click Enable Virtual Space.

Caution Clicking Cancel cancels all of the changes made in the dialog box. If you made changes to more than one category, none of the changes will be saved.

Options

Statement Completion

Auto List Members

Displays a box that contains information that would logically complete the statement at the current insertion point while you are typing.

Parameter Information

Displays information about functions and their parameters while you are typing.

Settings

Stream Selection

Selects text from the beginning of the first line to the end of the last line, and all intervening lines.

Box Selection

Selects a box-shaped block of text defined by the first and last characters selected, and includes all of the characters that fall within the box shape.

Enable Virtual Space

Allows a selection to extend past the end of a line either vertically or horizontally.


Processes Dialog Box

Used to attach the debugger to a running process in order to debug it. It also lists all currently attached processes.

In the Processes dialog box you can:

  • Attach or detach processes from the current debugging session. The first time the debugger encounters debuggable code in a process, it goes into break mode. After that it goes into break mode for all processes.

  • Determine what debuggable processes are running on a given machine.

  • Specify to stop the execution of a process when the process is executed.

Change the size of the column headers by dragging its border to the right to make it larger or to the left to make it smaller. Only available when there is at least one process in the list.

Options

Processes

Machine List

Contains a list of all of the machines to which you are connected while in the IDE (integrated development environment). You can choose from the list or type the name of the machine. If you type the name of a machine and press ENTER, a search for the machine occurs, you will connect that machine, and the machine will be added it to the list.

Process, Language, and Debugger List

Displays a list of all processes on the selected machine. If the process is being debugged, the Debugger column indicates the debugger associated with the process and its development language.

Machine Button

Displays the Browse for Computer dialog box, where you select a remote computer that has the process to which you want to attach.

Properties Button

Displays the Debugger Properties dialog box, where you can set options for Just-In-Time debugging and attaching processes for the currently selected machine.

Attach Button

Attaches to the selected process or processes.

Note You can select multiple processes and attach to them at the same time.

Debugged Processes

Process and Machine List

Displays a list of all processes currently being debugged. The Machine column indicates the name of the machine on which the process is running.

Detach

Detaches from the selected process.

Note You can also detach from all processes by selecting the Detach All Processes command, available from the Debug menu.

Break

Allows you to specify the process on which to break. Once in break mode, all of the processes break.


Property Pages Dialog Box

Allows you to change a control's properties at design time.

Options

Tabs

Creates a tabbed dialog box (property page) that allows users to change property values for a control at design time. The property page acts like a form by letting you write code that updates the property values when the user changes them.

OK

Validates the Property Pages settings and closes the Property Pages dialog box.

Apply

Validates the Property Page without closing the dialog box.


Recent Tab (New File and Open File Dialog Boxes)

Displays a list and the locations of recently opened files containing snippets of code, notes, or other information you may want to use in your project.

Options

File

Displays the list of recently opened files.

Folder

Displays the path to the folder in which the file is located.

Modified

Displays the last date on which the file was changed.


Rename Toolbar Dialog Box

Allows you to rename your custom toolbars.

Option

Toolbar Name

Type a new name for your toolbar.


Saving Options (Enviroment -- Options Dialog Box)

Saving Options (Environment — Options Dialog Box)

Allows you to customize the way your projects are saved.

Caution Clicking Cancel cancels all of the changes made in the dialog box. If you made changes to more than one category, none of the changes will be saved.

Miscellaneous Files Project Saves Last <number> Items

Allows you to customize the number of miscellaneous files you want saved by typing in a number between 0 and 255. The default is 20.


Select Packages/Libraries Dialog Box

Allows you to select which packages and libraries you want displayed in the Object Browser.

Options

Current Settings

Displays a hierarchical tree showing the libraries and packages for browsing. The hierarchical tree contains topmost nodes, with libraries in nodes below it.

Note The default display changes according to the development environment that you are using.

Libraries and packages that are selected for browsing appear in bold text. When you check the node of a library that you wish to browse, all of the nodes from the parent to root nodes are checked. When you clear a parent node, none the libraries and packages under it will be displayed in the browser. However, if there was a partial selection of libraries and packages under that node, the selection remains checked even though it will not be displayed in the browser.

Add

Displays the Add New Packages/Libraries dialog box, where you can add new packages or libraries.


Tabs (All) Options (Text Editor -- Options Dialog Box)

Tabs Options (Text Editor — Options Dialog Box)

Allows you to set the tabs options for your editor.

Choosing the Tabs option sets the tabs in the editors for all of the applications in the development environment. To set the tab options for a specific editor, choose the editor in the list below the Tabs entry in the left-hand pane. The change to the specific editor is effective only until you change the options again from the Tabs entry. For example, if you want to have Block indenting for all of your editors in the development environment, choose Tabs in the Text Editor options of the Options dialog box and then select Block. If you want to remove the indenting for only your HTML editor, choose HTML under Tabs in the Text Editor options of the Options dialog box, then select None. Now your HTML editor will have no indenting but if you change to a Plain text editor, it will use Block indenting.

Caution Clicking Cancel cancels all of the changes made in the dialog box. If you made changes to more than one category, none of the changes will be saved.

Options

Indenting

None

No indenting.

Block

When you press ENTER, all of the text is automatically indented based on the indentation of the previous line of text. Thus the text appears to form a block.

Smart

When you press ENTER or re-indent code in the editor, the right-indentation of each line of text is automatically determined. Not available for the HTML or Plain text editors.

Tabs

Tab Size

Sets the tab width, which can range from 1 to 32 spaces; the default is 4 spaces.

Indent Size

Sets the size of the indentation in your code, which can range from 1 to 60. The default is 4.

Insert Spaces

When the editor automatically indents, the indentation is based on spaces instead of the tab settings.

Keep Tabs

Retains all the tabs you set.


Toolbars Tab (Customize Dialog Box)

Allows you to create, rename, delete, and reset your toolbars.

Options

Toolbars

Displays the toolbars built into the development environment and any toolbars you create. When a toolbar is displayed in the environment, a check mark appears to the left of it on this dialog box.

Note The MenuBar cannot be hidden. It can only be reset.

New

Displays the New Toolbar dialog box where you type the name for your new toolbar in the Toolbar Name box.

Rename

Displays the Rename Toolbar dialog box where you type the new name for your toolbar. Only available if you select a user-defined toolbar.

Delete

Deletes a user-defined toolbar from your project.

Reset

Removes any changes to the built-in toolbars and resets them to their original state. Only available if you select a built-in toolbar.


Debug Toolbar

Contains buttons that are shortcuts to some menu items frequently used in debugging code.

You can:

  • Click a toolbar button once to carry out the action represented by that button.

  • Drag the toolbar to another location or along one side of the workspace.

  • Resize the toolbar. If you make it shorter, the buttons wrap and the toolbar changes size to accommodate the buttons. However, if the toolbar is longer than the workspace or window is wide, [image] appear. To view all of the buttons, resize the toolbar or drag it to another location.

Buttons

Toolbar Button | Command | Description
 | Start | Automatically attaches the debugger and runs the application from the startup form specified in the <Project> Properties dialog box. Changes to Continue if in break mode.Automatically attaches the debugger and runs the active document.
 | Start Without Debugging | Runs the code without invoking the debugger. You can use this button to test if a bug is affected by the debugger or, in some instances, to run your code faster.
 | Break | Temporarily stops execution of all processes in a debugging session. Available only in run mode.
 | End | Stops running the current document in the program. Available in break and run modes.
 | Restart | Terminates a debugging session, rebuilds, and then starts running the document from the beginning again. Available in break and run modes.
 | Run to Cursor | In break mode, resumes execution of your code from the current statement to the selected statement. The Current Line of Execution margin indicator, appears in the Margin Indicator bar. In design mode, starts the debugger and executes your code to the cursor location.
 | Step Into | Executes code one statement at a time, following execution into function calls.
 | Step Over | Executes the next line of code but does not follow execution through any function calls.
 | Step Out | Executes the remaining lines of a function in which the current execution point lies.
 | Insert Breakpoint | Adds a breakpoint at the location of the current cursor. Click the button again to delete the breakpoint.
 | Enable Breakpoint | Temporarily turns off the selected breakpoint without clearing it. Click the button again to turn on the breakpoint.
 | Clear All Breakpoints | Clears all of the breakpoints in the project.
 | Breakpoints | Displays the Breakpoints dialog box, where you can add and modify breakpoints.
 | Immediate Window | Displays the Immediate window, where you can evaluate expressions and execute individual commands.
 | Autos Window | Displays the Autos window to view the values of variables currently in the scope of the current line of execution within the current procedure.
 | Locals Window | Displays the Locals window to view the variables and their values for each procedure in the current stack frame.
 | Watch Window | Displays the Watch window to view the values of selected variables or watch expressions.
 | Threads Window | Displays the Threads window to view all of the threads for the current process and information about them.
 | Call Stack Window | Displays the Call Stack window to display a list of all active procedures or stack frames for the current thread of execution.
 | Running Documents | Displays the Running Documents window that displays the set of documents that are in the process you are debugging
 | Processes | Displays the Attach Process dialog box, where you can attach the debugger to a running process in order to debug it or view a list of all currently attached processes.


Standard Toolbar

Contains buttons that are shortcuts to some commonly used menu items.

You can:

  • Click a toolbar button once to carry out the action represented by that button.

  • Drag the toolbar to another location or along one side of the workspace.

  • Resize the toolbar. If you make it shorter, the buttons wrap and the toolbar changes size to accommodate the buttons. However, if the toolbar is longer than the workspace or window is wide,

    appear. To view all of the buttons, resize the toolbar or drag it to another location.

Buttons

Toolbar Button | Name | Description
 | Save Selected Item(s) | Saves the selected items in the current project.
 | Save All | Saves all documents and any files in the external files project.
 | Cut | Removes the selected text and places it on the Clipboard.
 | Copy | Copies the selected control or text to the Clipboard.
 | Paste | Inserts the contents of the Clipboard at the current location.
 | Undo | Reverses the last action selected in the list. You can have an unlimited number of undo opportunities per document, from which you can choose the one you want to Undo.
 | Redo | Restores the last action selected in the list. You can have an unlimited number of redo opportunities per document, from which you can choose the one you want to Redo.
 | Start | Runs the active document.
 | Break | Temporarily stops execution of all processes in a debugging session. Available only at run time.
 | End | Stops running the current document or application. Only available at run time.
 | Find and Replace | Displays the Find window where you can search the active document or another tool window, for the text specified in the Find text box. You can have up to the last 16 entries in this list. A red dot to the left of the text indicates that you have set options in the Find and Replace dialog box.
 | Find | Finds the text you type into the box when you press ENTER. You can also choose text from the list.
 | Project Explorer | Displays the Project Explorer, which displays a hierarchical list of the currently open projects and their contents.
 | Properties Window | Displays the Properties window so you can view the properties for the currently selected object.
 | Toolbox | Displays the Toolbox which contains ActiveX and intrinsic HTML controls.
The icon changes to the icon for the last window you chose. | View <Window> | Displays a list of windows that you can view.
 | Load/Save Window UI | Allows you to apply a saved view to your desktop or to save a desktop configuration.


Window UI Toolbar

The Window UI toolbar provides common commands to manipulate the document windows in your project.

You can:

  • Click a toolbar button once to carry out the action represented by that button.

  • Drag the toolbar to another location or along one side of the workspace.

  • Resize the toolbar. If you make it shorter, the buttons wrap and the toolbar changes size to accommodate the buttons. However, if the toolbar is longer than the workspace or window is wide, [image] appear. To view all of the buttons, resize the toolbar or drag it to another location.

Buttons

Button | Name | Description
 | Load/Save Window UI | Allows you to apply a saved view to your desktop or to save a desktop configuration.
 | Split | Toggles splitting the open document window in half horizontally.
 | Cascade | Rearranges all open document windows in your project so they overlap in a cascade.
 | Tile Horizontally | Tiles all open document windows in your project horizontally.
 | Tile Vertically | Tiles all open document windows in your project vertically.
 | Full Screen | Expands the current document window and hides all adornments of the main application window, including all toolbars, the title bar, all tool windows, the status bar, and the Windows taskbar.


Keyboard Shortcuts

There are alternatives to using the mouse by providing key combinations for most actions you can take.

Note You can change or create keyboard shortcuts in Keyboard of the Environment options in the Options dialog box.

The development environment supports the following:

Text Editor Window Editing Keyboard Shortcuts

Text Editor Window Navigation Keyboard Shortcuts

Debugger Keyboard Shortcuts

Document Outline Window Keyboard Shortcuts

Find Window Keyboard Shortcuts

Global Keyboard Shortcuts

HTML Editor Keyboard Shortcuts (Design View)

HTML Editor Keyboard Shortcuts (Source View)

Object Browser Keyboard Shortcuts

Project Explorer Keyboard Shortcuts

Properties Window Keyboard Shortcuts

Toolbox Keyboard Shortcuts


Debugger Shortcut Keys

Use the following key combinations while you are debugging your project.

Note You can change or create keyboard shortcuts in Keyboard of the Environment options in the Options dialog box.

To | Press
Display documentation for the active window. | F1
Display a system menu for the application window. | ALT+SPACEBAR
Add and remove breakpoints on the current lines. | F9
Clear all breakpoints. | CTRL+SHIFT+F9
Disable breakpoint. | CTRL+F9
Display Auto window and move cursor into it. | CTRL+ALT+A
Display Breakpoints dialog box. | CTRL+B
Display Call Stack window and move cursor into it. | CTRL+ALT+C
Display Immediate window and move cursor into it. Not available if you are in the Text Editor window. | CTRL+ALT+I
Display Locals window and move cursor into it. | CTRL+ALT+L
Display Running Document window and move cursor into it. | CTRL+ALT+R
Adds a watch on the currently selected word. | SHIFT+F9
Display the next statement. | ALT+* on the NUM pad
Display the shortcut menu. | SHIFT+F10
Display Threads window and move cursor into it. | CTRL+ALT+H
Display Watch window and move cursor into it. | CTRL+ALT+W
End debugging session. | SHIFT+F5
Execute code one statement at a time, following execution into function calls (Step Into). | F11
Execute the next line of code but not follow execution through any function calls (Step Over). | F10
Execute the remaining lines of a function in which the current execution point lies (Step Out). | SHIFT+F11
Restart a debugging session. | CTRL+SHIFT+F5
Resume execution of your code from the current statement to the selected statement (Run to Cursor). | CTRL+F10
Run the active document. | F5
Run the code without invoking the debugger (Start without Debugging). | CTRL+F5
Set the next statement. | CTRL+SHIFT+F10
Stop execution (Break). | CTRL+BREAK


Document Outline Window Keyboard Shortcuts

Use the following key combinations in the Document Outline window.

Note You can change or create keyboard shortcuts in Keyboard of the Environment options in the Options dialog box.

To | Press
Close the active document; if all windows are closed, close the development environment. | ALT+F4
Copy the selection to the Clipboard. | CTRL+C or CTRL+INS
Cut the selection and move it to the Clipboard. | CTRL+X or SHIFT+DELETE
Display a system menu for the application window. | ALT+SPACEBAR
Display documentation. | F1
Display the Document Outline window and move the cursor into it. | CTRL+ALT+T
Display the Object Browser and move the cursor into it from anywhere but an editor. | CTRL+ALT+B
Display the Output window and move the cursor into it. | CTRL+ALT+O
Display the shortcut menu. | SHIFT+F10
Go to the bottom of the current window. | CTRL+PAGE DOWN
Go to the top of the current window. | CTRL+PAGE UP
Insert carriage return. | CTRL+ENTER+ ENTER
Insert the Clipboard contents at the insertion point. | CTRL+V or SHIFT+INSERT
Move between the last two active windows. | ALT+F6
Move the cursor to the end of the window. | CTRL+END
Move the cursor to the top of the window. | CTRL+HOME


Find Window Keyboard Shortcuts

Use the following keyboard shortcuts in the Find window.

Note You can change or create keyboard shortcuts in Keyboard of the Environment options in the Options dialog box.

To | Press
Clear the Find and Replace boxes and all options, and create a new search request. | Hold down ALT and press F3 and N
Close the Find window and change focus to the editor window. | ESC
Display documentation for the Find window. | F1
Display the Find window where you can replace the specified text. | CTRL+H
Display the Find window with the word under your cursor in the Find box. | CTRL+F
Displays the shortcut menu. | SHIFT+F10
Find next occurrence of text specified in the Find window. | F3
Find previous occurrence of the text specified in the Find window. | SHIFT+F3
Find the previous occurrence of the current word or selected text. | CTRL+SHIFT+F3
Finds the next occurrence of the current word or selected text. | CTRL+F3
Match uppercase and lowercase characters exactly as they appear in the Find combo box. | Hold down ALT and press F3 and C.
Put the cursor in the Find box on the Standard toolbar. | CTRL+SHIFT+F
Search in the reverse direction. | Hold down ALT and press F3 and B.
Set the Find Whole Words option in the Find window. | Hold down ALT and press F3 and W.
Stop a search in progress. | Hold down ALT and press F3 and S
Turn on regular expression mode so that special characters can be used. | Hold down ALT and press F3 and R


Global Keyboard Shortcuts

Use the following key combinations in all development environment windows.

Note You can change or create keyboard shortcuts in Keyboard of the Environment options in the Options dialog box.

To | Press
Activate the selected item and changes to edit mode. In an editor, displays the Object Browser. | F2
Close a menu or dialog box, cancel an operation in progress, or place focus in the current document window. | ESC
Close a tool window. | SHIFT+ESC
Close the current MDI child window. | CTRL+F4
Create a new file. | CTRL+SHIFT+N
Cycle through the MDI child windows one window at a time | CTRL+F6 or CTRL+TAB
Display a system menu for an MDI child window. | ALT+HYPHEN (-)
Display a system menu for the application window. | ALT+SPACEBAR
Display the Auto window and move the cursor into it. | CTRL+ALT+A
Display the Call Stack window and move the cursor into it. | CTRL+ALT+C
Display the Document Outline window and move the cursor into it. | CTRL+ALT+T
Display the Find window. | CTRL+H
Display the Find window. If there is no current Find criteria, put the word under your cursor in the Find box. | CTRL+F
Display the Immediate window and move the cursor into it. Not available if you are in the Text Editor window. | CTRL+ALT+I
Display the Locals window and move the cursor into it. | CTRL+ALT+L
Display the Object Browser and move the cursor into from anywhere but an editor. | CTRL+ALT+B
Display the Output window and move the cursor into it. | CTRL+ALT+O
Display the Project Explorer and move the cursor into it. | CTRL+ALT+J
Display the Properties window and move the cursor into it. | CTRL+ALT+P
Display the Properties window. | F4
Display the Property Pages window. | SHIFT+F4 or ALT+ENTER
Display the Running Documents window and move the cursor into it. | CTRL+ALT+D
Display the shortcut menu. | SHIFT+F10
Display the Thread window and move the cursor into it. | CTRL+ALT+H
Display the Toolbox and move the cursor into it. | CTRL+ALT+X
Display the Watch window and move the cursor into it. | CTRL+ALT+W
Find next occurrence of specified text. | F3
Go to the next tool window. | ALT+F6
Go to the previous tool window. | ALT+SHIFT+F6
Move to the next MDI child window. | CTRL+SHIFT+F6
Move to the previous MDI child window. | CTRL+SHIFT+TAB
Move to the next page of items in the current tab if there are more items than can be shown at one time. | PAGE UP
Move to the previous page of items in the current tab if there are more items than can be shown at one time. | PAGE DOWN
New File | CTRL+SHIFT+N
Open a file. | CTRL+SHIFT+O
Print all or part of the document. | CTRL+P
Run an application using the debugger. | F5
Save all of the files, project, or documents. | CTRL+SHIFT+S
Save the current document or selected item or items. | CTRL+S
Select All. | CTRL+A
Stop Break into a running an application. | CTRL+BREAK

Use the following key combinations in all Windows-based applications:

To | Press
Close the active document; if all windows are closed, close the development environment. | ALT+F4
Copy the selection to the Clipboard. | CTRL+C or CTRL+INS
Cut the selection and move it to the Clipboard. | CTRL+X or SHIFT+DELETE
Display documentation. | F1
Display the shortcut menu. | SHIFT+F10
Insert the Clipboard contents at the insertion point. | CTRL+V or SHIFT+INSERT
Move between the last two active windows. | ALT+F6
Paste the Clipboard contents at the insertion point. | CTRL+V or SHIFT+INSERT
Restore the previously undone action (Redo). | CTRL+Y or CTRL+SHIFT+Z or ALT+SHIFT+BACKSPACE
Undo the last editing action in the current line. | CTRL+Z or ALT+BACKSPACE


HTML Editor Keyboard Shortcuts (Design View)

In Design view, the HTML Editor provides shortcut keys for a variety of operations. The following tables list the editor-specific shortcut keys, divided by function:

  • Navigation

  • Selection

  • Edit

  • HTML Formatting and Positioning

Note Some keyboard shortcuts for Design view differ from those used in Source view.

Navigation

To | Press
Move left one character. | LEFT ARROW
Move right one character. | RIGHT ARROW
Move left to the beginning of a word. | CTRL+LEFT ARROW
Move right to the beginning of a word. | CTRL+RIGHT ARROW
Move to the beginning of the line. | HOME
Move to the end of the line. | END
Move up one line. | UP ARROW
Move down one line. | DOWN ARROW
Scroll text up one line. | CTRL+UP ARROW
Scroll text down one line. | CTRL+DOWN ARROW
Move up one page (the number of lines visible in the current window). | PAGE UP
Move down one page (the number of lines visible in the current window). | PAGE DOWN
Move to the beginning of the document. | CTRL+HOME
Move to the end of the document. | CTRL+END

Selection

To | Press
Extend selection one character left. | SHIFT+LEFT ARROW
Extend selection one character right. | SHIFT+RIGHT ARROW
Extend the selection one word to the left. | CTRL+SHIFT+LEFT ARROW
Extend selection right one word. | CTRL+SHIFT+RIGHT ARROW
Extend the selection to either the start of the current line or the start of the text on that line. | SHIFT+HOME
Extend selection to the end of the line. | SHIFT+END
Extend selection up one line. | SHIFT+UP ARROW
Extend selection down one line. | SHIFT+DOWN ARROW
Extend selection up one page. | SHIFT+PAGE UP
Extend selection down one page. | SHIFT+PAGE DOWN
Extend the selection to the beginning of the document. | CTRL+SHIFT+HOME
Extend the selection to the end of the document. | CTRL+SHIFT+END
Select the current word. | CTRL+W
Select the entire document. | CTRL+A
Move selection to next block-level element. | SHIFT+TAB*
Move selection to previous block-level element. | TAB*

* Differs in Source view.

Edit

To | Press
Toggle between inserting and replacing text. | INSERT
Delete the selection or, if there is no selection, the character to the left of the cursor. | BACKSPACE
Delete the selected text without placing it on the Clipboard. | DELETE
Delete the word to the right of the insertion point. | CTRL+DELETE
Delete the word to the left of the insertion point. | CTRL+BACKSPACE
Cut the selected text to the Clipboard. | CTRL+X or SHIFT+DELETE
Copy the selected text to the Clipboard. | CTRL+C or CTRL+INS
Insert the Clipboard contents at the insertion point. | CTRL+V or SHIFT+INSERT
Undo the last editing action in the current line. | CTRL+Z or ALT+BACKSPACE
Restore the previously undone actions. | CTRL+Y or ALT+SHIFT+BACKSPACE
Indent selected lines right one tab stop. You can change tab stop settings in the Tabs Options dialog box. | CTRL+T*
Move selected lines left one tab stop. | CTRL+SHIFT+TAB*
Edit script for the selected element. | F7
Display the Property Pages window for the selected element. | SHIFT+F4, ALT+ENTER
Display right-click menu. | SHIFT+F10

* Differs in Source view.

HTML Formatting and Positioning

To | Press
Toggle boldface for the current selection. | CTRL+B
Toggle italics for the current selection. | CTRL+ I
Toggle underline for the current selection. | CTRL+U
Display a dialog box to insert an HTML bookmark. | CTRL+SHIFT+L
Display a dialog box to insert an HTML link. | CTRL+L
Display a dialog box to insert an HTML image tag. | CTRL+SHIFT+W
Toggle absolute positioning for the selected element. | CTRL+K
Toggle absolute mode. | CTRL+G*
Lock or unlock the selected element (if absolutely positioned). | CTRL+SHIFT+K
Toggle snap to grid. | CTRL+SHIFT+G
Put the selected elements into a division. | CTRL+J*
Toggle details for the selected element. | CTRL+SHIFT+Q*
Toggle visible borders. | CTRL+Q*

* Differs in Source view.


HTML Editor Keyboard Shortcuts

HTML Editor Keyboard Shortcuts (Source View)

In Source view, the HTML Editor provides shortcut keys for a variety of operations. The following tables list the editor-specific shortcut keys, divided by function:

  • Navigation

  • Selection

  • Edit

  • Statement Completion

  • HTML Insertion

Navigation

To | Press
Move left one character. | LEFT ARROW
Move right one character. | RIGHT ARROW
Move left to the beginning of a word. | CTRL+LEFT ARROW
Move right to the beginning of a word. | CTRL+RIGHT ARROW
Move to the beginning of the line | HOME
Move to the end of the line. | END
Move up one line. | UP ARROW
Move down one line. | DOWN ARROW
Scroll text up one line. | CTRL+UP ARROW
Scroll text down one line. | CTRL+DOWN ARROW
Move up one page (the number of lines visible in the current window). | PAGE UP
Move down one page (the number of lines visible in the current window). | PAGE DOWN
Move to the beginning of the document. | CTRL+HOME
Move to the end of the document. | CTRL+END
Display the GoTo Line box to move to a specific line. | CTRL+G*
Move to the next matching brace ( } ). This feature is useful when you are writing script using JavaScript (ECMAScript). | CTRL+]
Set or clear a bookmark. | Hold down CTRL and press KK
Go to the next bookmark. | Hold down CTRL and press KN
Go to the previous bookmark. | Hold down CTRL and press KP
Remove all bookmarks. | Hold down CTRL and press KL

* Differs in Design view.

Selection

To | Press
Extend selection one character left. | SHIFT+LEFT ARROW
Extend selection one character right. | SHIFT+RIGHT ARROW
Extend the selection one word to the left. | CTRL+SHIFT+LEFT ARROW
Extend selection right one word. | CTRL+SHIFT+RIGHT ARROW
Extend the selection to either the start of the current line or the start of the text on that line. | SHIFT+HOME
Extend selection to the end of the line. | SHIFT+END
Extend selection up one line. | SHIFT+UP ARROW
Extend selection down one line. | SHIFT+DOWN ARROW
Extend selection up one page. | SHIFT+PAGE UP
Extend selection down one page. | SHIFT+PAGE DOWN
Extend the selection to the beginning of the document. | CTRL+SHIFT+HOME
Extend the selection to the end of the document. | CTRL+SHIFT+END
Extend the selection to the matching brace ( } ). This feature is useful when you are writing script using JavaScript (ECMAScript). | CTRL+SHIFT+]
Select the current word. | CTRL+W
Select the entire document. | CTRL+A
Toggle between vertical and horizontal selection mode. | Hold down CTRL and press RS

Edit

To | Press
Toggle between inserting and replacing text. | INSERT
Delete the selection or, if there is no selection, the character to the left of the cursor. | BACKSPACE
Delete the selected text without placing it on the Clipboard. | DELETE
Cut the current line to the Clipboard. | CTRL+M
Delete the current line without copying it to the Clipboard. | CTRL+SHIFT+M
Delete the word to the right of the insertion point. | CTRL+DELETE
Delete the word to the left of the insertion point. | CTRL+BACKSPACE
Cut the selected text to the Clipboard. | CTRL+X or SHIFT+DELETE
Copy the selected text to the Clipboard. | CTRL+C or CTRL+INS
Insert the Clipboard contents at the insertion point. | CTRL+V or SHIFT+INSERT
Swap characters around the insertion point. For example, AC|BD becomes AB|CD. | CTRL+T
Swap the current and previous words, or transpose words around an operator. For example, transpose apple = fruit to fruit = apple. | CTRL+SHIFT+T
Swap the current and previous lines. | ALT+SHIFT+T
Change the selected text to lowercase characters. | CTRL+U
Change the selected text to uppercase characters. | CTRL+SHIFT+U
Undo the last editing action in the current line. | CTRL+Z or ALT+BACKSPACE
Restore the previously undone action. | CTRL+Y or ALT+SHIFT+BACKSPACE
Show or hide spaces and tabs (toggle). | Hold down CTRL and press RW
Replace spaces with tabs in selected text. | CTRL+Q*
Replace tabs with spaces in selected text. | CTRL+SHIFT+Q*
Indent selected lines right one tab stop. You can change tab stop settings in the Tabs Options dialog box. | TAB*
Move selected lines left one tab stop. | SHIFT+TAB*

* Differs in Design view.

Statement Completion

List members of current class for statement completion when editing script. | CTRL+J*
Move up one page in the statement completion list. | CTRL+PAGE UP
Move down one page in the statement completion list. | CTRL+PAGE DOWN
Move to the beginning of the statement completion list. | CTRL+HOME
Move to the end of the statement completion list. | CTRL+END
Insert currently selected word from statement completion list. | TAB
Finish current word. If beginning of word is ambiguous, displays statement completion list. | CTRL+SPACEBAR

* Differs in Design view.

HTML Insertion

To | Press
Display a dialog box to insert an HTML bookmark. | CTRL+SHIFT+L
Display a dialog box to insert an HTML link. | CTRL+L
Display a dialog box to insert an HTML image tag. | CTRL+SHIFT+W


Object Browser Shortcut Keys

Use the following key combinations in the Object Browser.

Note You can change or create keyboard shortcuts in Keyboard of the Environment options in the Options dialog box.

To | Press
Close the Object Browser window. | SHIFT+ESC
Copy the current selection to the clipboard. You can then paste the selection into your code. | CTRL+C
Display a list of the currently selected libraries and packages. | Hold down ALT and press F2, release the keys, and then press P
Display documentation for the Object Browser. | CTRL+F1
Display documentation on the selected member. | F1
Display entries that contain the text in the Filter Classes and Members box at the beginning of their name. | Hold down ALT and press F2, release the keys, and then press B
Display and hide the classes, or classes in the selected package or library in the Classes & Members pane. | Hold down ALT and press F2, release the keys, and then press C.
Display the Grouping and Sorting dialog box where you can create custom groupings and sort the content of the Members pane. | Hold down ALT and press F2. release the keys, and then press G.
Display and hide the members of the selected class in Classes and Members pane. | Hold down ALT and press F2, release the keys, and then press M.
Display the Select Packages/Libraries dialog where you can choose the package(s)/libraries whose contents you want to view. | Hold down ALT and press F2, release the keys, and then press S.
Display the Shortcut menu. | SHIFT+F10
Expand a node if it is expandable and the source code is not available. | ENTER
Go to the definition of the selected member when the source is available. | Hold down ALT and press F2, release the keys, and press D or ENTER
Move the focus to the Filter dropdown. | Hold down ALT and press F2, release the keys, and press F.
Move to the next button when in the Object Browser toolbar. | TAB
Move to the next pane when in the Object Browser. | TAB or F6
Move to the previous button when in the Object Browser toolbar. | SHIFT+TAB
Move to the previous pane when in the Object Browser. | SHIFT+TAB or SHIFT+F6
Show and hide the hidden members in the Object Browser for each class. Hidden members are members that are not intended for use by the programmer of the reusable object and are not normally visible in the Object Browser. | Hold down ALT and press F2, release the keys, and then press H.


Project Explorer Keyboard Shortcuts

Use the following key combinations in the Project Explorer.

Note You can change or create keyboard shortcuts in Keyboard of the Environment options in the Options dialog box.

To | Press
Display documentation on the Project Explorer | F1
Close the Project Explorer window. | SHIFT+ESC
Display the shortcut menu. | SHIFT+F10
Expand a list and then selects a subentry in the list each time you press it. | RIGHT ARROW
Move down the list from project to project. | TAB
Move down the list one entry at a time. | DOWN ARROW
Move the insertion point to the beginning of the next line. | SHIFT+ENTER
Move up the list one entry at a time. | UP ARROW
Move up the list from project to project. | SHIFT+TAB
Open the designer. | SHIFT+F7
Open the selected file from the list, or expand and collapse the list to show its subentries. | ENTER
Open the editor for the selected file. | F7
Select a subentry in the list and then move up the list each time you press the LEFT ARROW until the subentry list collapses into a folder. | LEFT ARROW
Select the first file in the list. | HOME
Select the last file in the list. | END


Properties Window Keyboard Shortcuts

Use the following key combinations when the Property list has the focus in the Properties window.

Note You can change or create keyboard shortcuts in Keyboard of the Environment options in the Options dialog box.

To | Press
Display documentation on the Properties window. | CTRL+F1
Close a node in the Property list. | LEFT ARROW or (-)
Expand a node in the Property list. | RIGHT ARROW or (+)
Close the Properties window. | SHIFT+ESC
Expand a node to show all of the items below it in the Property list. | + on the Num Pad
Collapse a node in the Property list. | - on the Num Pad
Move down through the Property list, one page at a time. | PAGE DOWN
Move up through the Property list, one page at a time. | PAGE UP
Move down through the Property list, one property at a time. | DOWN ARROW
Move up through the Property list, one property at a time. | UP ARROW
Move the insertion point among the property, properties settings box, and the Object box. | TAB
Move to the first property in the list. | HOME
Move to the last property in the list. | END
Move to the next property in the list that begins with the alpha character. | CTRL+SHIFT+ALPHA

Use the following key combinations when the settings box for a property has the focus in the Properties window.

To | Press
Cancel the changes to the property. | ESC
Copy the selected text to the Clipboard. | CTRL+C or CTRL+INS
Cut the selected text and move it to the Clipboard. | CTRL+X or SHIFT+DELETE
Delete the selected text without placing it on the Clipboard. | DELETE
Displays the shortcut menu. | SHIFT+F10
Move the focus between the Object box, the active Properties tab, a property, and the property value. | TAB
Move to the next property that begins with the alpha character, in the list. | CTRL+SHIFT+ALPHA
Paste the Clipboard contents at the insertion point. | CTRL+V or SHIFT+INSERT
Switch focus between the Object box and the active Properties tab. | SHIFT+TAB
Undo the last editing action. | CTRL+Z or ALT+BACKSPACE


Text Editor Window Editing Keyboard Shortcuts

Use the following key combinations to edit code in the Text Editor window also referred to as the Code Editor window.

Note You can change or create keyboard shortcuts in Keyboard of the Environment options in the Options dialog box.

To | Press
Undo the last editing action (Undo). | CTRL+Z or ALT+BACKSPACE
Correctly indent the selected lines of code based on the surrounding lines of code. | ALT+F8
Swap the current and previous lines. | ALT+SHIFT+T
Delete the selection or, if there is no selection, the character to the left of the cursor. | BACKSPACE
Find the matching brace. | CTRL+]
Delete the word to the left of the insertion point. | CTRL+BACKSPACE
Copy the selected text to the Clipboard. | CTRL+C or CTRL+INS
Delete the word to the right of the insertion point. | CTRL+DELETE
Move the cursor to the end of the list. | CTRL+END
Display the Find window. If there is no current Find criteria, places the word under your cursor in the Find box. | CTRL+F
Find the next occurrence of the current word or selection. | CTRL+F3
Display the Find window where you can replace the specified text. | CTRL+H
Move the cursor to the beginning of the list. | CTRL+HOME
Display Quick Info. | CTRL+I
Display list of members. | CTRL+J
Extend the selection to the matching brace. | CTRL+SHIFT+]
Extend the selection to the end of the document. | CTRL+SHIFT+END
Find the previous occurrence of the specified text. | CTRL+SHIFT+F3
Extend the selection to the beginning of the file. | CTRL+SHIFT+HOME
Display Parameter Info. | CTRL+SHIFT+I
Extend the selection one word to the left. | CTRL+SHIFT+LEFT ARROW
Extend the selection one word to the right. | CTRL+SHIFT+RIGHT ARROW
Swap the current and next words or transposes words around operators, for example transposes apple = fruit to fruit = apple. | CTRL+SHIFT+T
Change the selected text to uppercase characters. | CTRL+SHIFT+U
Select the current word. | CTRL+SHIFT+W
Fill in the rest of the word you are typing once you have entered enough characters for the editor to identify the word you want. | CTRL+SPACEBAR
Swap the characters around the insertion point. | CTRL+T
Change the selected text to lowercase characters. | CTRL+U
Scroll the text up one line. | CTRL+UP ARROW
Insert the Clipboard contents at the insertion point. | CTRL+V or SHIFT+INSERT
Cut the selected text to the Clipboard. | CTRL+X or SHIFT+DELETE
Delete the selected lines and place them on the Clipboard (Cut). | CTRL+M
Restore the previously undone action (Redo). | CTRL+Y or CTRL+SHIFT+Z or ALT+SHIFT+BACKSPACE
Delete the selected text without placing it on the Clipboard. | DELETE
Delete the selected lines without placing them on the Clipboard. | CTRL+SHIFT+M
Display next overloaded function when the Parameter Info window is displayed. Move the cursor down the list, one entry at a time, when the Member List is displayed. | DOWN ARROW
Display previously overloaded function when the Parameter Info window is displayed. Move the cursor up the list, one entry at a time, when the Member List is displayed. | UP ARROW
Display context-sensitive documentation for functions, statements, methods, properties, or events. | F1
Display help on the Text Editor window. | CTRL+F1
Find next occurrence of text specified in the Find window. | F3
Display or hide a shortcut. | Hold down CTRL and press KH
Turn the bookmarks for the current line on and off. | Hold down CTRL and press KK
Remove all bookmarks. | Hold down CTRL and press KL
Move the insertion point to the beginning of the next bookmark. | Hold down CTRL and press KN
Move the insertion point to the beginning of the previous bookmark. | Hold down CTRL and press KP
Change between box selection and stream selection mode. | Hold down CTRL and press RS
Show white space. Display and hide spaces and tab marks. | Hold down CTRL and press RW
Toggle between inserting and replacing text. | INSERT
Extend the selection down one line. | SHIFT+DOWN ARROW
Extend the selection up one line. | SHIFT+UP ARROW
Find previous occurrence of the text specified in the Find window. | SHIFT+F3
Extend the selection to the start of the current line. | SHIFT+HOME
Extend the selection to the end of the current line. | SHIFT+END
Extend your selection one character to the left. | SHIFT+LEFT ARROW
Extend your selection one character to the right. | SHIFT+RIGHT ARROW
Extend the selection down one page. | SHIFT+PAGE DOWN
Extend the selection up one page. | SHIFT+PAGE UP
Indent the selected text one tab stop to the right. | TAB
Indents the selected text one tab stop to the left. | SHIFT+TAB


Text Editor Window Navigation Keyboard Shortcuts

Use the following key combinations to navigate in the Text Editor window also referred to as the Code Editor window.

Note You can change or create keyboard shortcuts in Keyboard of the Environment options in the Options dialog box.

To | Press
Display the GoTo Line box, where you can specify the location in the Text Editor window to which you want to move the cursor. | CTRL+G
Go to the bottom of the current window. | CTRL+PAGE DOWN
Go to the top of the current window. | CTRL+PAGE UP
Move one word to left. | CTRL+LEFT ARROW
Move one word to right. | CTRL+RIGHT ARROW
Move the cursor one character to the left. | LEFT ARROW
Move the cursor one character to the right. | RIGHT ARROW
Move the cursor up one line at a time. | UP ARROW
Move the cursor down one line at a time. | DOWN ARROW
Move the cursor to either the start of the current line or the start of the text on that line. | HOME
Move to end of the current line. | END
Move the cursor to the beginning of the document. | CTRL+HOME
Move the cursor to the end of the document. | CTRL+END
Move to next pane. | F6
Move to previous pane. | SHIFT+F6
Move the insertion point to the beginning of the page. | PAGE UP
Move the insertion point to the end of the page. | PAGE DOWN
Scroll up one line at a time. | CTRL+UP ARROW
Scroll down one line at a time. | CTRL+DOWN ARROW


Toolbox Keyboard Shortcuts

Use the following key combinations to move around the Toolbox.

Note You can change or create keyboard shortcuts in Keyboard of the Environment options in the Options dialog box.

To | Press
Display documentation on the Toolbox | F1
Close the Toolbox. | SHIFT+ESC
Display the shortcut menu. | SHIFT+F10
Move left through the controls in the current tab, one control at a time. | LEFT ARROW
Move right through the controls in the current tab, one control at a time. | RIGHT ARROW
Move to the next tab. (Available only in the Toolbox) | CTRL+UP ARROW
Move to the previous tab. (Available only in the Toolbox) | CTRL+DOWN ARROW
Move up through the controls, one page at a time. | PAGE UP
Move down through the controls, one page at a time. | PAGE DOWN
Move up through the controls in the current tab, one control at a time. | UP ARROW
Move down through the controls in the current tab, one control at a time. | DOWN ARROW
Place the selected control at the insertion point in an editor or the default location on a form. | ENTER


Object Browser

Displays the classes, properties, methods, events, and constants available for packages and object libraries and the procedures in your project. You can use it to find and use objects you create, as well as objects from other applications.

You can obtain help for the Object Browser by pressing CTRL+F1 or by choosing Object Browser help from the shortcut menu.

Elements

Toolbar

Button | Name | Description
 | Show Classes | Displays the classes or classes and members in the selected package or library in the Classes & Members and Members panes. Changing the view does not affect the current filter and Grouping or Sorting settings.
 | Show Members | Displays the members of the selected class in Classes & Members and Members pane. Changing the view does not affect the current filter and Grouping or Sorting settings.
 | Filter Classes and Members | Displays all of the entries in the Classes & Members and Members panes based on what you type or select. Pressing ENTER displays all entries that contain the text.
 | Remove Filter: Show All Classes/Members | Removes any text in the Filter Classes and Members list and updates the contents of both the Classes & Members and Members and the Members panes.
 | Filter Finds Beginning of Word Only | Displays only entries that contain the text in the Filter Classes and Members box at the beginning of their name.
 | Select Current Packages/Libraries | Displays the Select Packages/Libraries dialog box where you can choose the package(s)/libraries whose contents you want to view.
 | Group by Packages/Libraries | Displays a list of the currently selected libraries and packages.
 | Grouping and Sorting | Displays the Grouping and Sorting dialog box where you can create custom groupings and sort the content of the Members pane.
 | Copy | Allows you to copy the selected item in the current list. If there is no explicit selection in the description pane, the entire text is copied.
 | Help | Displays documentation on the selected member. You can also press F1.

Classes & Members Pane

Lists the classes, members, or both based on the current filtering and packages/libraries included in or referenced by or added to the current document. Classes expand according to contents into three categories: Superclasses, Subclasses, and Implemented Interfaces. You can further expand each category to display the classes that are in the category.

Members Pane

Lists the members of the selected class or classes of the selected member in the Classes & Members and Members pane. The list can be sorted either alphabetically or based on the sort order specified in the Grouping and Sorting dialog.

Description

Displays a definition of the selected item and prototype syntax based on the current development language. The Description pane also contains a jump to the class, library, or type to which the item belongs. Some members have jumps to their parent class.

You can copy or drag text from the Description pane to the editor window.


Toolbox

Displays design-time controls, ActiveX® controls, HTML scraps, objects, and text based on the designer or editor you are using. The tools are enabled only when the associated designer or editor is active.

Although each development environment has its own default set of Toolbox items, the Toolbox always contains the pointer tool,

You can use the pointer to resize or move a control that has been drawn on a form.

In the Toolbox you can:

  • Copy a Toolbox item from one tab to another tab by pressing CTRL and dragging the selected item to the new tab.

  • Move a Toolbox item from one tab to another tab by dragging the selected item to the new tab.

    Note If you try to move a nonremovable item, dragging it to a new tab will copy it to the new tab instead of moving it.

  • Use the mouse to select and drag Toolbox items, text, and controls ontopages, and designers. Double-click an item to display it in the center of the active designer.

For example, you can drag an item from the Windows Explorer. These items appear only on the machine on which they were added.

  • Change the icon used for an item.

  • Paste an item that has been copied to the Clipboard.

  • Create tabs for customized grouping of your Toolbox items by selecting Add Tab from the shortcut menu when you right-click the Toolbox.

  • Delete an item.

  • Drag valid IDataObjects into and out of the Toolbox as long as an associated provider is available.

  • Drag selected scraps of code or text from the text editor into the Toolbox and then drag it into other files or windows where you want to use it.

  • Rearrange items on a tab and rearrange the tabs by dragging them to the location you want.

  • Rename the description text of items.

  • View Toolbox items of the active tab by icon and associated description and in a list format by selecting List View from the shortcut menu when you right-click the Toolbox window.

Elements

Tabs

Displays the tabs in the Toolbox. By default there are two tabs, the General tab and the HTML tab. You can add custom tabs.

Tools

Displays the Toolbox items contained in each tab.

List View

Displays Toolbox items and a description of each.


Topic Not Found

No matching topic was found. Some possible reasons and remedies are as follows:

  • The file (.chm) that contains the destination topic is not in the expected location.

    Remedy: Rerun the MSDN Library Setup.

  • The file (.chm) that contains the current topic or destination topic is out-of-date and the link is no longer valid.

    Remedy: Install the latest version of the MSDN Library.

  • The MSDN Library CD is not in the CD-ROM drive.

    Remedy: Insert the MSDN Library CD into the CD-ROM drive.


Browse With Dialog Box

Used to select a browser or program to view an HTML page.

Options

Browse

Opens the selected browser.

Set as Default

Makes the selected browser the default browser.

Size of Browser window

Sets the initial size of the browser window.


Debugger Properties Dialog Box

Sets debugging options for each language type.

Options

Script

Attach to running programs

Allows you to attach the debugger to a running Script program.

Just-In-Time debugging

Allows you to catch faults that occur while the program is running outside the debugging environment.

Java

Attach to running programs

Allows you to attach the debugger to a running Java program.

Just-In-Time debugging

Allows you to catch faults that occur while the program is running outside the debugging environment.


Go To Line Dialog Box

Moves the insertion point to a specified line number in the Text Editor window.

Options

Line Number

Specifies the line number to go to.


Statement Completion Keyboard Shortcuts

Use the following key combinations in the Statement Completion list.

To | Press
Move the cursor up one list item at a time and select it. | UP ARROW
Move the cursor down one list item at a time and select it. | DOWN ARROW
Move the cursor up one page in the Statement Completion list. | PAGE UP
Move the cursor up one page in the Statement Completion list. | PAGE DOWN
Move to the beginning of the Statement Completion list. | CTRL+PAGE UP
Move to the end of the Statement Completion list. | CTRL+PAGE DOWN
Hide the Statement Completion list, move the focus to the text editor, and move the cursor up one line at a time in the Text Editor window. | SHIFT+UP ARROW
Hide the Statement Completion list, move the focus to the text editor, and move the cursor down one line at a time in the Text Editor window. | SHIFT+DOWN ARROW
Hide the Statement Completion list, move the focus to the text editor, and move the cursor up one page at a time in Text Editor window. | SHIFT+PAGE UP
Hide the Statement Completion list, move the focus to the text editor, and move the cursor down one page at a time in the Text Editor window. | SHIFT+PAGE DOWN
Hide the Statement Completion list, move the focus to the text editor, and move to the top of the Text Editor window. | SHIFT+CTRL+PAGE UP
Hide the Statement Completion list, move the focus to the text editor, and move to the bottom of the Text Editor window. | SHIFT+CTRL+PAGE DOWN


Windows Dialog Box

Allows you to select a Text Editor window.

Options

Name

Lists the file names of all open documents.

Path

Lists the paths of all open documents.


Microsoft® Script Editor

The Microsoft® Script editor allows you to view and edit HTML tags within a document. You can also add script, such as Microsoft Visual Basic®, Scripting Edition (VBScript) or JScript™, to your files and debug that script. In Source View, the Script editor colors text within a file based on the functionality of the text. For example, HTML tags are displayed in brown, tag attributes in red, and attribute value in blue. In Quick View, you can preview how your page would look in your Web browser.

For more information, see the HTML Editor Tasks node in the table of contents.